function param=find_exp(G,xmin,xmax)

%creating vector B with all nodes degrees
for i=1:size(G,1)
    B(i)=sum(G(i,:));
end

%obtaining distribution
%D=DegDist(B);
D=histogram(B);
%finding cumulative distribution
C=Cumulative(D);
%finding rank distribution
R=RankDistNew(B);

%obtaining exponent alpha from deg. distr.
%second parameter in LinReg function describes min x, 
%from which regression is calculated, similar for xmax, if xmax=0 function
%takes maximum value
coef=LinReg(D,xmin,xmax);
alfa=coef(1,1);
%obtaining exponent alpha from cumulative distr.
coef2=LinReg(C,xmin,xmax);
alfa2=coef2(1,1);
alfa2=alfa2-1;
%obtaining exponent alpha from rank distr.
coefR=LinRegRank(R,xmin,xmax);
alfaR=coefR(1,1);
alfaR=alfaR-1;

%obtaining exponent from Newman method
alfaNn=newman(B,xmin);
alfaN=alfaNn(1);

param(1,1)=alfa; param(1,2)=coef(1,2); 
param(2,1)=alfa2; param(2,2)=coef2(1,2);
param(3,1)=alfaR; param(3,2)=coefR(1,2);
param(4,1)=-alfaN; param(4,2)=alfaNn(2);

%plot figures
draw_slopes(coef,coef2,coefR,alfaN,D,C,R,xmin);
