function G=scalefreeKertesz(N,m)
%this function generates a scale free network of size N using
%Barabasi-Albert Algorithm.  N gives total number of nodes in the network
%and m the initial number of connected vertices to build the network
%around
tic

%set the initial seeds
G=zeros(N);

G(1:m,1:m)=1;
for i=1:m
    G(i,i)=0;
end

if m>1
    for j=1:m
        for i=1:m-1 L((j-1)*(m-1)+i,1)=j; end
    end
end

if m==1 L(1,1)=1; end

%L

%now start adding additional vertices dependent on their degree

for new=(m+1):N

    sizeL=m*(m-1)+2*m*((new-1)-m);  %size of the Kertesz List
    
    for j=1:m
        index=ceil(sizeL.*rand)-1;        %random pick up of one element
            if index==0 index=1; end
        index=L(index,1);
        %sizeL
        %index
        
        L(m*(m-1)+2*m*((new-1)-m)+2*(j-1)+1, 1)=new;
        L(m*(m-1)+2*m*((new-1)-m)+2*(j-1)+2, 1)=index;
    
       G(new,index)=1;
       G(index,new)=G(new,index);
    end
end

toc